Name:		kdmtheme
Version:	1.1.2
Release:	alt1
Summary:	Theme Manager for KDM

License:	GPL
Group:		System/Configuration/Other
URL:		http://beta.smileaf.org

Source0:	%name-%version.tar.bz2
Patch0:		kdmtheme-1.1.2-alt-libs-fix.patch
Patch1:		kdmtheme-1.1.2-alt-desktop-fix.patch

BuildRequires:	gcc-c++ kdelibs-devel, desktop-file-utils, kdebase-devel kdelibs-devel

%description
KDM Theme manager is just what it says a theme Manager for KDM.
This control module allows you to easily add, remove and select
any KDM theme you want.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
%make_build -f admin/Makefile.common

%install
%makeinstall

desktop-file-install --vendor "" \
    --add-category X-Altlinux \
    --add-category System \
    --delete-original \
    --dir %buildroot/%_datadir/applications/ \
    %buildroot/%_datadir/applications/kde/%name.desktop

%post
touch --no-create %_datadir/icons/hicolor || :
if [ -x %_bindir/gtk-update-icon-cache ]; then
   %_bindir/gtk-update-icon-cache --quiet %_datadir/icons/hicolor || :
fi

%postun
touch --no-create %_datadir/icons/hicolor || :
if [ -x %_bindir/gtk-update-icon-cache ]; then
   %_bindir/gtk-update-icon-cache --quiet %_datadir/icons/hicolor || :
fi

%files
%_datadir/applications/*.desktop
%_libdir/kde3/kcm_%name.la
%_libdir/kde3/kcm_%name.so
%doc README

%changelog
* Fri Oct 27 2006 Alexey Gladkov <legion@altlinux.ru> 1.1.2-alt1
- Initial release.

